Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.franz.agbase
Class AllegroGraphSerializer

    java.lang.Object
      com.franz.agbase.AllegroGraphSerializer

Direct Known Subclasses:
  NTriplesSerializer, RDFManifestSerializer, RDFN3Serializer, RDFSerializer

    public abstract class AllegroGraphSerializer

extends java.lang.Object

This abstract class is the superclass of the AllegroGraph serializer classes.

Constructor Summary
`AllegroGraphSerializer()`

Method Summary
`java.lang.String` | `getDestination()`
`java.lang.Object` | `getResult()`
`java.lang.Object` | `getSource()`
`java.lang.Object` | `run(AllegroGraph source)` Serialize all the triples in a triple store.
`java.lang.Object` | `run(TriplesIterator source)` Serialize all the triples collected by a cursor.
`void` | `setDestination(java.lang.String destination)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllegroGraphSerializer

    public AllegroGraphSerializer()

Method Detail

### run

    public java.lang.Object run(AllegroGraph source)
                         throws AllegroGraphException

  Serialize all the triples in a triple store.

  Parameters:
    `source` - The AllegroGraph instance to be serialized.
  Returns:
    The string containing the serialization if destination is null, or null if the destination is a file.
  Throws:
    `AllegroGraphException`

### run

    public java.lang.Object run(TriplesIterator source)
                         throws AllegroGraphException

  Serialize all the triples collected by a cursor.

  Parameters:
    `source` - The Cursor instance to be serialized.
  Returns:
    The string containing the serialization if destination is null, or null if the destination is a file.
  Throws:
    `AllegroGraphException`

### getDestination

    public java.lang.String getDestination()

  Returns:
    the destination

### setDestination

    public void setDestination(java.lang.String destination)

  Parameters:
    `destination` - Null to serialize to a string, or a string containing the pathname of the destination file or folder.

### getResult

    public java.lang.Object getResult()

  Returns:
    the result

### getSource

    public java.lang.Object getSource()

  Returns:
    the source

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD